# Flutter SDK

Dolby.io Communications SDK for Flutter allows creating high-quality applications for video conferencing. With Flutter, you can write a single codebase in [Dart](https://dart.dev/) that you can natively compile and use for building, testing, and deploying applications across multiple platforms. Currently, the Flutter SDK supports creating applications for iOS and Android devices. The SDK offers the same [functionalities](https://docs.dolby.io/communications-apis/docs/overview-introduction) that are available in Android and iOS SDK.

## Get started

You can access Flutter SDK releases on [GitHub](https://github.com/DolbyIO/comms-sdk-flutter/releases). To get started quickly, follow the procedure for the [Getting Started project on GitHub](https://github.com/dolbyio-samples/comms-sdk-flutter-getting-started). 
This starter project explains how to create a basic **audio-only** conference application for mobile devices and provides the foundation upon which you can add additional features as you build out your own solutions for events, collaboration, education, or live streaming. 

If you need help with Flutter development, see the [Flutter documentation](https://flutter.dev/docs).

## Prerequisites

Make sure that you have:

- A Dolby.io account. If you do not have an account, you can [sign up](https://dolby.io/signup) for a free account.
- An iOS or Android device, or a device emulator
- Flutter SDK 3.0.3 or later configured to work on iOS and Android
- Android Studio for Android development
- Xcode and CocoaPods for iOS development
- The [client access token](https://docs.dolby.io/communications-apis/docs/overview-developer-tools#client-access-token) copied from the [Dolby.io dashboard](https://dashboard.dolby.io/). To create the token, log in to the Dolby.io dashboard, create an application and navigate to the API keys section.

To check if there are any additional dependencies that you need to install to complete the setup, use the flutter doctor ([macOS](https://docs.flutter.dev/get-started/install/macos#run-flutter-doctor), [Windows](https://docs.flutter.dev/get-started/install/windows#run-flutter-doctor)) command.

For more information about iOS SDK and Android SDK requirements, see the [Supported Environments](https://docs.dolby.io/communications-apis/docs/overview-supported-environments) document.
